<?php require('casa/setup.casa.php');
 $txtUSS = DataForms::POST('uss');
 $txtPSW = md5(DataForms::POST('pss'));

if(trim($txtUSS)==''){
   $html ="<script>";
   $html.="$('#txtUser').val('');";
   $html.="$('#txtUser').focus();</script>";
   echo $html;
   exit();
}
if(trim($txtPSW)==''){
   $html ="<script>";
   $html.="$('#txtPass').val('');";
   $html.="$('#txtPass').focus();</script>";
   echo $html;
   exit();
}
 
$coder = md5(uniqid()); 

$sql = "SELECT * FROM rol_usuarios 
WHERE us_user = '$txtUSS' AND us_pass = '$txtPSW'
AND us_visible = '1';";
$db = new DB();
$db->dbSQL($sql);
    if($db->next()){
        $us_id = $db->dbField('us_id');
        $rol_id = $db->dbField('rol_id');
        $rol_codigo = $db->dbField('us_codigo');        
        $us_nombres = $db->dbField('us_nombres');
        $us_apellidos = $db->dbField('us_apellidos');

        switch($rol_id){
            //administradores del sistema
            case 1 : $direccion = "admin/ver"; break;
            //otros
            case 2 : $direccion = "tecnico/ver"; break;                      
        }

        $UssOnLine = new Session();
        $UssOnLine->Set('USID',$us_id);
        $UssOnLine->Set('ROL',$rol_id); 
        $UssOnLine->Set('CODIGO',$rol_codigo);     
        $UssOnLine->Set('USUARIO',$us_nombres.' '.$us_apellidos);
        $UssOnLine->Set('DIREC',$direccion);                       
        echo "<script>self.location='" . PATH_HOME . $direccion . "';</script>";
    }else {
        $html="<script>swal({
            title: '".AppName."',
                html: 'Error al Iniciar Sesión!!!<br>Revise su Usuario y Contraseña!!!. ',
                confirmButtonClass: 'btn btn-default',
                confirmButtonText: 'ACEPTAR',
            timer: 3500
        }).then();</script>";
        
        echo $html;
    }      
?>